GENERAL:
  # To be able to submit Wikidata queries, we adhere to the https://www.mediawiki.org/wiki/API:Etiquette
  # => you need to set the following properties that are used for building the user-agent information - otherwise Wikidata cannot be reached
  
  # the client-name in the user-agent; example: MyInternationalizationToolBot
  client-identifier: "{{ internationalization_tool_client_name }}"
  # the client-version in the user-agent; example: 1.0
  client-version: "{{ internationalization_tool_client_version }}"
  # the contact information in the user-agent; example: my-internationalization-tool@example.org
  client-contact-information: "{{ internationalization_tool_client_contact_information }}"
  
TRANSLATION:
  wikidata-search-cache-sqlite-database: db/wikidata-search-cache.db
  cache_expiration_time_in_ms: {{ internationalization_tool_cache_expiration_time_in_ms }} # 60 days in ms - 1000ms * 60s * 60m * 24h * 60d
  # regex to split incoming search-terms into separate searches and process a search for every part of the resulting list -> will be combined afterwards by joining via ", "
  search-term-preparation_multiple-term-separator_default: "{{ internationalization_tool_search_term_preparation_multiple_term_separator_default }}"
  # regex to split incoming search-terms into alternative searches for the same term and process a search for every part of the resulting list -> will be combined afterwards by joining via " / "
  search-term-preparation_alternative-term-separator_default: "{{ internationalization_tool_search_term_preparation_alternative_term_separator_default }}"
  wikidata-exclusions_default: {{ internationalization_tool_wikidata_exclusions_default | to_yaml | trim }}

SIDRE:
  sidre-sqlite-database: db/sidre-internationalization.db
  search-api-url: "{{ search_index_backend_searchapi_url }}/{{ elasticsearch_metadata_index_alias_name }}/_search"
  keyword-fieldname: "{{ internationalization_tool_search_index_keyword_fieldname }}"
  keyword-substitutions:
{% for subst in internationalization_tool_search_index_keyword_substitutions %}
    - regex: '{{ subst.regex | trim }}'
      value: {{ subst.value | to_yaml | trim }}
{% endfor %}
  keyword-skip-values: {{ internationalization_tool_search_index_keyword_skip_values | to_yaml | trim }}
  valid_keyword_translation_regex: {{ internationalization_tool_search_index_valid_keyword_translation_regex }}
  output_languages: {{ internationalization_tool_search_index_output_languages | to_yaml | trim }}
